Discord notification
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Discord notification action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Discord notification",
"disabled": true,
"type": "DISCORD2",
"trigger_time": "ON_EVERY_EXECUTION",
"content": "[#BUDDY_EXECUTION_ID] BUDDY_PIPELINE_NAME by BUDDY_INVOKER_NAME",
"notification_url": "https://discordapp.com/api/webhooks/453797939572375553/zi3NxdcB6yFW66UN8kece3mT92-u1BpaBUc2CYWoBMrrIJpK7t5lBr5nxFUqc9v9eKX8",
"attachments": [
"{\"name\":\"Revision\"}"
],
"file_attachments": [
"fs:///fghajxwgad"
],
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "kyaawfeucm"
}
],
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"loop": [
"env_key"
]
}'STATUS200 OK